# Awesome List

The awesome list of things. 

## Golang

### CLI Frameworks & Utilities

- [Bubble Tea](https://github.com/charmbracelet/bubbletea): A powerful little TUI framework.
- [Tablewriter]()

### GUI Frameworks

- [Wails](https://wails.io/): Build beautiful cross-platform applications using Go. Basically Electron for Golang.
- 🌟[Gioui](https://gioui.org/): Gio is an open source library for creating portable, immediate mode GUI programs for Android, iOS, Linux, Windows, macOS.

### Web Frameworks

### Task Queues

## Micropython

- [Pure Micropython Display Driver](https://blog.lvgl.io/2019-08-05/micropython-pure-display-driver): Micropython API to *any* C library! Walk through shows specifically how to add ILI9341 LED Display support to micropython using an existing C lib.

## Just Cool

- [100,000 nearby stars](https://stars.chromeexperiments.com/): An interactive 3D visualization of the stellar neighborhood, including over 100,000 nearby stars. Created for the Google Chrome web browser.

## Tools
- [Ventoy](https://github.com/ventoy/Ventoy): Ventoy is an open source tool to create bootable USB drive for ISO/WIM/IMG/VHD(x)/EFI files. 
- [Headless Terminal](https://github.com/andyk/ht): wraps a binary for programmatically interacting with terminal apps. Useful for testing, turning a cli into a service, etc. 

## RSS Readers / Feeds

- 🔥[Feedi](https://github.com/facundoolano/feedi): An OSS a web feed reader with a minimal interface akin to a Mastodon or Twitter feed. Self hosted, mobile friendly, parsers for Reddit, Github, RSS. Local article reading, send to Kindle support. 

## Study Apps

- 🌟[Anki](https://apps.ankiweb.net/): Digital flash cards. Web app is free, mobile app is paided, but supports them.

## Articles

- [An animated introduction to Fourier Series](https://www.andreinc.net/2024/04/24/from-the-circle-to-epicycles): Super detailed explaination of Fourier Series.
- 🌟[The Notifier Pattern for Applications That Use Postgres](https://brandur.org/notifier)
- [Color Concepts 101]: https://developers.hp.com/system/files/Color_Concepts_101_0.pdf

